# Accessibility::EventDetails Struct Reference

`import "Accessibility_Event.idl";`

## Data Fields
Application | host_application
Role | source_role
string | source_name
any | any_data

## Detailed Description

A struct encapsulating detailed information about an Event. This struct supercedes the previous use of the 'any' field in EventDetails; the content previously stored in Event::any_data is now stored in EventDetails::any_data, and Event::any_data points to an instance of the EventDetails structure, if the object's implementation supports event detail reporting, otherwise Event::any_data contains CORBA_OBJECT_NIL.

Since:
  AT-SPI 1.7.0

## Field Documentation

any Accessibility::EventDetails::any_data

Application Accessibility::EventDetails::host_application

string Accessibility::EventDetails::source_name

Role Accessibility::EventDetails::source_role

The documentation for this struct was generated from the following file:

- /home/liyuan/src-git/at-spi/idl/Accessibility_Event.idl